// 需要登录的路由
export const router = [
  {
    path: '/orderDetail',
    name: 'orderDetail',
    component: () => import('@/views/order-detail/index'),
    meta: {
      title: '订单详情'
    }
  },
  {
    path: '/tradeDetail',
    name: 'tradeDetail',
    component: () => import('@/views/trade/trade-detail'),
    meta: {
      title: '交易详情'
    }
  },
  {
    path: '/goodsOrder',
    name: 'goodsOrder',
    component: () => import('@/views/goods-order/index'),
    meta: {
      title: '商品订单'
    }
  },
  {
    path: '/afterSale',
    name: 'afterSale',
    component: () => import('@/views/goods-order/after-sale'),
    meta: {
      title: '售后服务'
    }
  },
  {
    path: '/afterService',
    name: 'afterService',
    component: () => import('@/views/after-service/index'),
    meta: {
      title: '售后服务'
    }
  },
  {
    path: '/shopMall',
    name: 'shopMall',
    component: () => import('@/views/shop-mall/index'),
    meta: {
      title: '商城'
    }
  },
  {
    path: '/goodsList',
    name: 'goodsList',
    component: () => import('@/views/shop-mall/goods-list/index'),
    meta: {
      title: '商品列表'
    }
  },
  {
    path: '/goodsDetail',
    name: 'goodsDetail',
    component: () => import('@/views/shop-mall/goods-detail'),
    meta: {
      title: '商品详情'
    }
  },
  {
    path: '/cart',
    name: 'cart',
    component: () => import('@/views/cart'),
    meta: {
      title: '购物车'
    }
  },
  {
    path: '/cartConfirm',
    name: 'cartConfirm',
    component: () => import('@/views/cart/cart-confirm'),
    meta: {
      title: '确认订单'
    }
  },
  {
    path: '/cartConfirmAgin',
    name: 'cartConfirmAgin',
    component: () => import('@/views/cart/cart-confirm-agin'),
    meta: {
      title: '确认订单'
    }
  },
  {
    path: '/shopOrderDetail',
    name: 'shopOrderDetail',
    component: () => import('@/views/shop-mall/shop-order-detail'),
    meta: {
      title: '订单详情'
    }
  },
  {
    path: '/shopTrade',
    name: 'shopTrade',
    component: () => import('@/views/shop-mall/shop-trade/trade-detail'),
    meta: {
      title: '交易详情'
    }
  },
  {
    path: '/scanLogin',
    name: 'scanLogin',
    component: () => import('@/views/scan-login/index'),
    meta: {
      title: '扫码登录'
    }
  },
  {
    path: '/music-songbook',
    component: () => import('@/views/music/search/header'),
    meta: {
      title: '乐谱顶部'
    },
    children: [
      {
        path: '/music-songbook/search',
        name: 'musicSearch',
        component: () => import('@/views/music/search'),
        meta: {
          title: '搜索结果'
        }
      },
      {
        path: '',
        name: 'musicSongbook',
        component: () => import('@/views/music/songbook'),
        meta: {
          title: '乐谱库'
        }
      }
    ]
  },
  {
    path: '/music-album',
    component: () => import('@/views/music/album/index'),
    meta: {
      title: '专辑'
    }
  },
  {
    path: '/music-album-detail/:id',
    name: 'music-album-detail',
    component: () => import('@/views/music/album-detail'),
    meta: {
      title: '专辑详情'
    }
  },
  {
    path: '/music-list',
    component: () => import('@/views/music/list'),
    meta: {
      title: '曲谱列表'
    }
  },
  {
    path: '/music-detail',
    component: () => import('@/views/music/music-detail'),
    meta: {
      title: '曲谱详情'
    }
  },
  {
    path: '/music-search',
    component: () => import('@/views/music/search'),
    meta: {
      title: '搜索结果'
    }
  },
  {
    path: '/music-personal',
    component: () => import('@/views/music/personal'),
    meta: {
      title: '我的乐谱'
    }
  },
  {
    path: '/look-album-list',
    component: () => import('@/views/music/look-album-list'),
    meta: {
      title: '查看专辑'
    }
  },
  {
    path: '/videoClass',
    name: 'videoClass',
    component: () => import('@/views/video-class/index'),
    meta: {
      title: '视频课'
    }
  },
  {
    path: '/liveClass',
    name: 'liveClass',
    component: () => import('@/views/live-class/index'),
    meta: {
      title: '直播课'
    }
  },
  {
    path: '/memberCenter',
    name: 'memberCenter',
    component: () => import('@/views/member-center/index'),
    meta: {
      title: '会员中心'
    }
  },
  {
    path: '/coupons',
    name: 'coupons',
    component: () => import('@/views/coupons/index'),
    meta: {
      title: '优惠券'
    }
  },
  {
    path: '/previewProtocol',
    name: 'previewProtocol',
    component: () => import('@/views/preview-protocol/index'),
    meta: {
      title: '酷乐秀用户注册协议'
    }
  },
  {
    path: '/awardActivity',
    name: 'awardActivity',
    component: () => import('@/views/award-activity/index'),
    meta: {
      title: '活动奖品'
    }
  }
]

// 不需要登录的路由
export const rootRouter = [
  {
    path: '/registerProtocol',
    name: 'registerProtocol',
    component: () => import('@/views/protocol/register'),
    meta: {
      title: '注册协议'
    }
  },
  {
    path: '/privacyProtocol',
    name: 'privacyProtocol',
    component: () => import('@/views/protocol/privacy'),
    meta: {
      title: '酷乐秀隐私政策'
    }
  },
  {
    path: '/guide',
    name: 'guide',
    component: () => import('@/views/article-center/guide'),
    meta: {
      title: '投屏引导'
    }
  },
  {
    path: '/helpCenter',
    name: 'helpCenter',
    component: () => import('@/views/article-center/help-center')
  },
  {
    path: '/helpCenterDetail',
    name: 'helpCenterDetail',
    component: () => import('@/views/article-center/help-center-detail')
  },
  {
    path: '/special',
    name: 'special',
    component: () => import('@/views/article-center/special'),
    meta: {
      title: '资讯列表'
    }
  },
  {
    path: '/specialDetail',
    name: 'specialDetail',
    component: () => import('@/views/article-center/special-detail'),
    meta: {
      title: '资讯详情'
    }
  },
  {
    path: '/articleTheory',
    name: 'articleTheory',
    component: () => import('@/views/article-center/theory'),
    meta: {
      title: '乐理列表'
    }
  },
  {
    path: '/theoryDetail',
    name: 'theoryDetail',
    component: () => import('@/views/article-center/theory-detail'),
    meta: {
      title: '乐理详情'
    }
  },
  {
    path: '/contactus',
    name: 'contactus',
    component: () => import('@/views/contactus/index'),
    meta: {
      title: '联系我们'
    }
  },
  {
    path: '/shareLiveRoom',
    name: 'shareLiveRoom',
    component: () => import('@/teacher/share-page/share-live-room'),
    meta: {
      title: '直播间分享'
    }
  },
  {
    path: '/track-subject-song',
    component: () =>
      import('@/views/share-page/track-review-activity/subject-song'),
    meta: {
      title: '活动声部曲目'
    }
  },
  {
    path: '/tenantStudentRejest',
    component: () => import('@/views/tenantStudentRejest/index'),
    meta: {
      title: '机构学员注册'
    }
  },
  {
    path: '/tenantTeacherRejest',
    component: () => import('@/views/tenantTeacherRejest/index'),
    meta: {
      title: '机构老师注册'
    }
  }
]
