export type AudioType = 'MP3' | 'MP3_METRONOME' | 'MIDI'

export type Background = {
  musicSubject: string
  audioFileUrl: string
  sortNumber: number
}

export type ChargeType = 0 | 1 | 2

export type MusicType = {
  /** 曲谱名称 */
  musicSheetName: string
  /** 声部 */
  musicSubject: string
  /** 作者 */
  composer: string
  /** 标签 */
  musicTag: string
  /** 曲目类型 */
  audioType: AudioType
  /** 曲谱地址 */
  musicSheetUrl: string
  /** 曲谱审核状态 */
  auditStatus: number
  /** 曲谱id */
  id: string
  /** 曲谱类型 */
  musicSheetType: number
  /** 背景伴奏 */
  background?: Background[]
  /** 收费类型 */
  chargeType: number
  /** 收费价格 */
  musicPrice: number
  /** 音频文件地址 */
  audioFileUrl: string
  /** XML文件地址 */
  xmlFileUrl: string
}
