import { Cell, CellGroup, Icon, Image } from 'vant'
import { defineComponent } from 'vue'
import styles from './index.module.less'
import iconPinao from '@common/images/icon_pinao.png'

export default defineComponent({
  name: 'OrderPinao',
  props: {
    item: {
      type: Object,
      default: {}
    }
  },
  render() {
    const item = this.item
    console.log(item)
    return (
      <div class={styles.videoOrder}>
        <CellGroup
          class={'mb12'}
          border={false}
          style={{ borderRadius: '8px' }}
        >
          <Cell
            center
            titleClass={styles.titleClass}
            v-slots={{
              icon: () => <Image class={styles.memberLogo} src={iconPinao} />,
              title: () => (
                <div class={styles.container}>
                  <div class={styles.title}>{item.times}分钟琴房时长</div>
                  <div class={styles.price}>
                    <i>¥</i>
                    {(this as any).$filters.moneyFormat(item.salePrice)}
                  </div>
                </div>
              )
            }}
          />

          {/* <Cell
            center
            v-slots={{
              title: () => (
                <div class={styles.timerCell}>
                  <div class={styles.timerTitle}>
                    <Icon name={iconTimer} size={18} />
                    <span style={{ paddingLeft: '5px' }}>生效时间</span>
                  </div>
                  <div class={styles.timer}>
                    {item.startTime} 至 {item.endTime}
                  </div>
                </div>
              )
            }}
          /> */}
        </CellGroup>
      </div>
      // 视频课
    )
  }
})
