import { defineComponent } from 'vue'
import styles from './index.module.less'
import { Image } from 'vant'
import { useRouter } from 'vue-router'

export default defineComponent({
  name: 'OrderMusic',
  props: {
    item: {
      type: Object,
      default: {}
    }
  },
  render() {
    const item = this.item
    console.log(item)
    return (
      <div class={styles.album}>
        <Image class={styles.img} src={item.coverImg} />

        <span class={styles.albumType}>{item.purchaseCycle}个月</span>

        <div class={styles.content}>
          <h4 class="van-ellipsis">{item.name}</h4>
          <p class="van-multi-ellipsis--l2">{item.describe}</p>

          <span class={styles.musicNum}>共{item.musicNum}首</span>
        </div>
      </div>
    )
  }
})
